      function f_df(f) ! bernd berg aug 10 1998.
c variance ratio distribution function.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      common /parft/ nf1,nf2
      xf1h=half*nf1
      xf2h=half*nf2
      x=(nf2*one)/(nf1*f+nf2)
      f_df=one-beta_i(x,xf2h,xf1h)
      return
      end
